Create Session
curl --request POST \
--url https://test-api.sandbox.co.in/kyc/entitylocker-sdk/sessions/create \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"@entity": "in.co.sandbox.kyc.entitylocker.sdk.session.request",
"flow": "signin",
"doc_types": [
"company_master_details",
"gstn_details",
"udhyam_certificate"
]
}
'import requests
url = "https://test-api.sandbox.co.in/kyc/entitylocker-sdk/sessions/create"
payload = {
"@entity": "in.co.sandbox.kyc.entitylocker.sdk.session.request",
"flow": "signin",
"doc_types": ["company_master_details", "gstn_details", "udhyam_certificate"]
}
headers = {
"Authorization": "<authorization>",
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: '<authorization>',
'x-api-key': '<x-api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
'@entity': 'in.co.sandbox.kyc.entitylocker.sdk.session.request',
flow: 'signin',
doc_types: ['company_master_details', 'gstn_details', 'udhyam_certificate']
})
};
fetch('https://test-api.sandbox.co.in/kyc/entitylocker-sdk/sessions/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": 1750331120324,
"transaction_id": "5ccad959-0bf4-4472-a3dd-d57e2b61b5a9",
"data": {
"@entity": "in.co.sandbox.kyc.entitylocker.sdk.session",
"id": "0454f149-26d0-41ef-9f14-c54f4b5f7b70",
"status": "created",
"created_at": 1750331120324
},
"code": 200
}Create Session
POST
/
kyc
/
entitylocker-sdk
/
sessions
/
create
Create Session
Headers
JWT access token. For token-generation steps, refer to the Quickstart Guide.
API key used to identify and authenticate the client.
Specifies the API version for the request.
Media type of the request body.
Available options:
application/json Body
application/json
Available options:
in.co.sandbox.kyc.entitylocker.sdk.session.request EntityLocker authentication flow to initiate for the user. Use signin for existing EntityLocker users or signup to create a new account.
Available options:
signin, signup List of EntityLocker document types for which user consent is being requested.
Minimum array length:
1Available options:
company_master_details, gstn_details, udhyam_certificate Was this page helpful?
āI